Package Details: yafaray-blender-exporter-git 540.9183932-1

Git Clone URL: https://aur.archlinux.org/yafaray-blender-exporter-git.git (read-only)
Package Base: yafaray-blender-exporter-git
Description: Blender exporter for YafaRay
Upstream URL: http://www.yafaray.org/
Licenses: LGPL2.1
Conflicts: yafaray-blender-exporter
Provides: yafaray-blender-exporter
Submitter: stativ
Maintainer: stativ
Last Packager: stativ
Votes: 1
Popularity: 0.000000
First Submitted: 2013-07-19 09:30
Last Updated: 2015-12-23 11:10

Dependencies (4)

Required by (1)

  • yafaray-git (requires yafaray-blender-exporter-git) (optional)

Sources (1)

Latest Comments

applebloom commented on 2016-04-04 20:54

Sorry for long period of silence, I didn't have time to tackle this.

I found the issue after playing around with the exporter today.
You don't set the plugin path. It's the PLUGIN_PATH variable and it should be set to /usr/lib/yafaray.
Can be done with:

sed -i 's|^PLUGIN_PATH = .*|PLUGIN_PATH = "/usr/lib/yafaray"|' "$pkgdir/usr/share/blender/$_blendver/scripts/addons/yafaray/__init__.py"

Tell me if this works for you.

I've implemented this in my own package, which contains the latest experimental tag. They should have the advantage that the exporter is synchronized with the renderer. I actually just needed these two lines for the exporter:
sed -i 's/ctypes.cdll.LoadLibrary(os.path.join(BIN_PATH, dll))/pass/' '__init__.py'
sed -i 's#PLUGIN_PATH =.*#PLUGIN_PATH = "/usr/lib/yafaray"#' '__init__.py'

I simply blocked the lib pre-loading, it has no effect on functionality as far as I can tell.

stativ commented on 2015-12-23 11:11

applebloom: thx, version bumped. However, I can't get the exporter to work due to unsupported camera type and similar errors.

applebloom commented on 2015-12-22 18:00

Blender version needs a bump to 2.76.

jmf commented on 2013-11-20 16:06

Hey,
please update
_blendver=2.68
to
_blendver=2.69
Thanks in advance.
jmf

stativ commented on 2013-09-30 06:51

applebloom: Fixed, thank you!

applebloom commented on 2013-09-29 21:08

There's an error in the pkgver function. First line should be "cd "$srcdir/exporter".